<?php

namespace App\Http\Controllers\Tenant;

use App\Http\Controllers\Controller;
use App\Models\Customer;
use Illuminate\View\View;

class CustomerController extends Controller
{
    public function index(): View
    {
        return view('tenant.customers.index');
    }

    public function create(): View
    {
        return view('tenant.customers.form');
    }

    public function edit(Customer $customer): View
    {
        $this->authorize('update', $customer);
        return view('tenant.customers.form', compact('customer'));
    }
}
